7.0.0

# scmvx

Map view showing maps with stations and events. Issues related to configuration of stations are indicated.

## Description

scmvx visualizes the current information of earthquakes or earthquakes loaded database as well as current station information including:

- trigger status,

- ground motion,

- station quality,

- station configuration issues.

All stations and events are visualized in a map. The map can be customized by global `scheme.map` parameters and additional layers can be added as outlined in the GUI documenation. scmvx provides multiple tabs:

- Network: Maps showing events and network information including station configuration issues.

- Ground motion: Map with events and stations. The color of stations symbols represents recent ground motion calculated by scmvx in a configurable time window.

- Quality control: Map with events and stations. The color of stations symbols represents recent waveform quality control parameters calculated by scqc.

- Events: Event list updated in real time and allowing to filter events and to load historic events from database.

## Tabs

Section is upcoming.

### Network

Section is upcoming.

### Ground motion

Section is upcoming.

### Quality control

Section is upcoming.

### Events

Events are shown as they arrive in real time and may be interactively loaded from database. During startup events from within a period of time are loaded and shown according the configuration of `readEventsNotOlderThan`. More events are added in real time as they arrive. Historic events can be loaded from database for time spans and other filter criteria. The loaded events can sorted interactively by clicking on the table header. Events out of scope can be hidden based on region, event type of agency ID. In contrast to other event lists, e.g. in scolv or scesv, this event list only gives access to parameter of the preferred but no other origins of events.

Events tab

### Hotkeys

Hotkey | Description
--- | ---
C | Center map around latest event upon event update
G | Show map base layer in gray scale
N | Reset view to default
`F1` | Open SeisComP documentation in default browser
``Shift` ``+`` `F1`` | Open scmvx documentation in default browser
`F2` | Open dialog for connecting to database and messaging
`F6` | Toggle latest event information on map
`F7` | Toggle legend
`F8` | Toggle station issues in Network tab
`F9` | Toggle station annotation
`F10` | Switch to event list (Events tab)
`F11` | Toggle full screen mode
``CTRL` ``+`` `F`` | Search station
``CTRL` ``+`` `O`` | Open event parameter XML file
``CTRL` ``+`` `Q`` | Quit scmvx
``Shift` ``+`` `Arrows`` | Move focus of map
`+` | Zoom in in map
`-` | Zoom out in map
Mouse wheel | Zoom in or out in map
Mouse double click | Center map
Right mouse button | Open context menu

## Use Cases

### Get station information, detail issues

1. Navigate to the Network tab

2. Position the mouse above a triangle representing a station. The selected station is highlighted. Zoom in if events are overlapping.

3. Click your left mouse button for opening the station info widget. Data and potential configuration issues are shown.

### Search for and show an event

1. Navigate to the Events tab load events from database in a relevant time range. You may narrow down the database search through the filter button. After events are loaded the list may be limited by hiding irrelevant events and you may change the sorting of the event table by clicking on the header.

2. Identify the event and double-click on the event line to load the parameters. You will immediately switch to a map centered around the selected event.

### Get event information

1. Position the mouse above a circle representing the location of an event. Zoom in if events are overlapping.

2. Click the left mouse button for opening the event object inspector.

### Set preliminary origin

Upcoming feature, not yet supported

1. Position the mouse in the map

2. Press the middle mouse button

3. Set date & time and latitude, longitude & depth

4. Press “Create” to open the origin in another GUI, e.g., scolv which must be running already.

### Search station/network

1. Press ``CTRL` ``+`` `F`` to open the search window.

2. Type any string from a station and/or network name in the input field or just select a station from the list.

3. Double click in a station in the list to center the map at this location.

## Command-Line Examples

- Real-time view of events and stations on a local server

      scmvx -H localhost -I slink://localhost --debug

- Offline view of event parameters given in an XML file. Inventory is read from database.

      scmvx -d localhost -i events.xml --debug

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/scmvx.cfg`
`etc/global.cfg`
`etc/scmvx.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/scmvx.cfg`

scmvx inherits global options.

displaymode

  Type: string

  Values: `groundmotion,qualitycontrol`

  Set one of the available display modes used during startup: groundmotion or qualitycontrol. When empty, the Network tab is shown.

readEventsNotOlderThan

  Default: `86400`

  Type: double

  Unit: s

  Sets the time span before current time to read events initially from database.

centerOrigins

  Default: `false`

  Type: boolean

  If a new origin/event is set/selected, this option defines if the map is centered or not at the origin location.

annotations

  Default: `false`

  Type: boolean

  Enables/disabled drawing of station annotations at startup.

annotationsWithChannels

  Default: `true`

  Type: boolean

  Enable/disable drawing of station annotations with location/channel codes as NET.STA.LOC.CHA.

showUnboundStations

  Default: `true`

  Type: boolean

  Enable/disable drawing of stations which are not bound with global bindings.

mapLegendPosition

  Default: `topleft`

  Type: string

  Values: `topleft,topright,bottomright,bottomleft`

  The legend location for station symbols (network, QC, ground motion).

eventLegendPosition

  Default: `bottomleft`

  Type: string

  Values: `topleft,topright,bottomright,bottomleft`

  The legend location for event symbols.

stations.amplitudeTimeSpan

  Default: `10`

  Type: double

  Unit: s

  No description available

stations.groundMotionRecordLifeSpan

  Default: `600`

  Type: double

  Unit: s

  Time to keep waveform data in memory

stations.triggerTimeout

  Default: `60`

  Type: double

  Unit: s

  No description available

stations.groundMotionFilter

  Default: `ITAPER(60)>>BW_HP(4,0.5)`

  Type: string

  Sets the filter applied to determine ground motion.

Note

display.* The initial rectangular region for the map. The eventual region is also scaled to the dimension of the opened map widget.

display.latmin

  Default: `-90.0`

  Type: double

  Unit: deg

  Range: `-90:90`

  Minimum latitude in degrees.

display.lonmin

  Default: `-180.0`

  Type: double

  Unit: deg

  Range: `-360:360`

  Minimum longitude in degrees.

display.latmax

  Default: `90.0`

  Type: double

  Unit: deg

  Range: `-90:90`

  Maximum latitude in degrees.

display.lonmax

  Default: `180.0`

  Type: double

  Unit: deg

  Range: `-360:360`

  Maximum longitude in degrees.

## Command-Line Options

scmvx [options]

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

--print-component arg

  For each log entry print the component right after the log level. By default the component output is enabled for file output but disabled for console output.

--trace

  Execute in trace mode. Equivalent to --verbosity=4 --console=1 --print-component=1 --print-context=1 .

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

--auto-shutdown arg

  Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg

  Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg

  Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

### Messaging

-u, --user arg

  Overrides configuration parameter `connection.username`.

-H, --host arg

  Overrides configuration parameter `connection.server`.

-t, --timeout arg

  Overrides configuration parameter `connection.timeout`.

-g, --primary-group arg

  Overrides configuration parameter `connection.primaryGroup`.

-S, --subscribe-group arg

  A group to subscribe to. This option can be given more than once.

--content-type arg

  Overrides configuration parameter `connection.contentType`.

  Default: `binary`

--start-stop-msg arg

  Default: `0`

  Set sending of a start and a stop message.

### Database

--db-driver-list

  List all supported database drivers.

-d, --database arg

  The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg

  The config module to use.

--inventory-db arg

  Load the inventory from the given database or file, format: [service://]location .

--db-disable

  Do not use the database at all

### Records

--record-driver-list

  List all supported record stream drivers.

-I, --record-url arg

  The RecordStream source URL. Format: [service://]location[#type]. "service" is the name of the RecordStream driver which can be queried with "--record-driver-list". If "service" is not given, "file://" is used and simply the name of a miniSEED file can be given.

--record-file arg

  Specify a file as record source.

--record-type arg

  Specify a type for the records being read.

### Cities

--city-xml arg

  Type: file

  Values: `*.xml`

  The path to the cities XML file. This overrides the default paths. Compare with the global parameter "citiesXML".

### User interface

-F, --full-screen

  Start the application filling the entire screen. This only works with GUI applications.

-N, --non-interactive

  Use non-interactive presentation mode. This only works with GUI applications.

### MapviewX

--display-mode arg

  Overrides configuration parameter `displaymode`.

-i, --input-file file

  Load events in given XML file during startup and switch to offline mode.

--offline

  Do not connect to a messaging server and do not subscribe channel data.

--with-legend

  Show the map legends.